org.apache.tomcat.util.security

## Class PrivilegedGetTccl

- java.lang.Object
- - org.apache.tomcat.util.security.PrivilegedGetTccl

All Implemented Interfaces:
  PrivilegedAction<ClassLoader>

    public class PrivilegedGetTccl
    extends Object
    implements PrivilegedAction<ClassLoader>

### Constructor Summary

Constructors
Constructor and Description
`PrivilegedGetTccl()`

### Method Summary

Methods
`ClassLoader` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrivilegedGetTccl

    public PrivilegedGetTccl()

### Method Detail

#### run

    public ClassLoader run()

Specified by:
  `run` in interface `PrivilegedAction<ClassLoader>`